//
//  CMVorbisEnc.h
//  CocoaMonkey
//
//  Created by tmkk on Fri Jul 16 2004.
//  Copyright (c) 2004 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <vorbis/vorbisenc.h>
#import "CMVorbisEncProtocol.h"

@interface CMVorbisEnc : NSObject <CMVorbisEncProtocol> {
	FILE *fp;
	int blockper, channels, bytesPerChannel, eos;
}
- (id)initWithFile:(char *)file;
- (int)setChannel: (int)ch frequency:(int)freq bytes: (int)n quality:(float)q;
- (void)setBufferSize: (int)size;
- (void)encodeBuffer: (char *)buffer blockNum:(int)nblock;
- (void)finish;
- (void)dealloc;

@end
