#import "MyTableView.h"
#import "CocoaMonkeyController.h"

@implementation MyTableView

- (void)keyDown:(NSEvent *)theEvent
{
	if([theEvent keyCode] == 0x33) {
		[controller removeSelectedFile: self];
	}
	else [super keyDown:theEvent];
	
}

- (NSDragOperation)draggingEntered:(id <NSDraggingInfo>)sender
{
	/*
	[[NSColor selectedControlColor] set];
    NSFrameRectWithWidth([self visibleRect], 2.0);
	[self displayIfNeeded];
	*/
	return NSDragOperationGeneric;
}

- (NSDragOperation)draggingUpdated:(id <NSDraggingInfo>)sender
{
	return NSDragOperationGeneric;
}

- (void)draggingExited:(id <NSDraggingInfo>)sender
{
	//[[NSColor controlColor] set];
    //NSFrameRectWithWidth([self visibleRect], 2.0);
	[self displayIfNeeded];
}

- (BOOL)prepareForDragOperation:(id <NSDraggingInfo>)sender
{
	return YES;
}

- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender
{
	NSPasteboard *pb = [sender draggingPasteboard];
	NSArray *ar = [pb propertyListForType: NSFilenamesPboardType];
	if(ar) {
		if([self tag] == 0)
			[controller appendCompressFile:ar];
		else
			[controller appendDecompressFile:ar];
	}
	return YES;
}

- (void)concludeDragOperation:(id <NSDraggingInfo>)sender
{
	//[[NSColor controlColor] set];
    //NSFrameRectWithWidth([self visibleRect], 2.0);
	[self displayIfNeeded];
}

@end
