//
//  CMFLACEnc.h
//  CMFLACPlugin
//
//  Created by tmkk on Sat Jul 17 2004.
//  Copyright (c) 2004 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FLAC/file_encoder.h>
#import "CMFLACEncProtocol.h"

@interface CMFLACEnc : NSObject <CMFLACEncProtocol> {
	FLAC__FileEncoder *flacEncoder;
	FLAC__StreamMetadata padding;
	FLAC__StreamMetadata *metadata[4];
	int channels, bytesPerChannel;
	int *buffer_converted[2];
}
- (id) initWithFile: (char *)file;
- (int)setChannel: (int)ch frequency:(int)freq bytes: (int)n dataSize: (int)size compressionLevel:(int)c;
- (int)setBufferSize: (int)size;
- (int)encodeBuffer: (char *)buffer blockNum:(int)nblock;
- (void)finish;
- (void)dealloc;
@end
